Bug 307794 - When use keyboard navigates through the "right click" menu in media source view, up or down will move two items.
Summary: When use keyboard navigates through the "right click" menu in media source vi...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collection Browser (show other bugs)
Version: 2.6.0
Platform: Chakra Linux
: NOR normal (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-03 20:20 UTC by Weng Xuetian
Modified: 2013-02-16 12:42 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Weng Xuetian 2012-10-03 20:20:01 UTC
When use keyboard navigates through the "right click" menu in media source view, up or down will move two items.

Reproducible: Always

Steps to Reproduce:
1. Right click on item in collection 
2. Press Up
3. Popup menu will move two item instead of one
Comment 1 Ralf Engels 2013-02-16 12:42:22 UTC
Git commit c07bcc7dc1c2144874d5ab30c2411c35de17e452 by Ralf Engels.
Committed on 13/02/2013 at 23:04.
Pushed by rengels into branch 'master'.

Fix: keyboard navigates context menu in collection will move two items
FIXED-IN: 2.8

M  +3    -3    src/widgets/AmarokContextMenu.cpp

http://commits.kde.org/amarok/c07bcc7dc1c2144874d5ab30c2411c35de17e452